      class Circle2
      {
      // Computes the volu	me of a sphere with radius r	.
      private static double area(double r)
      {
      return  Math.PI * r * r ;
      }
      // Computes the surface area of 	a sphere with radius r.
      private static double perimeter(double r)
      {
      return 2.0 * Math.PI * r ;
      }
      public static void main(String[] args)
      {
      System.out.print("请输入半径: ");
      ReaderInput myinput = new ReaderInput();
      double radius = myinput.readDouble();
      System.out.println(); // display	s a blank line
      System.out.println("半径 = " + radius);
      System.out.println("圆的面积 = " +	area(radius));
      System.out.println("圆的周长 = " + perimeter(radius));
      System.out.println();
      }
      }
